using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class About : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Page.IsPostBack==false)
        {
            Initialize();
        }

    }

    private void Initialize()
    {
        string strFileName =
            "About.html";
        string strRootRelativePath =
            "~/App_Data/PageContent";
        string strRootRelativePathName =
            string.Format("{0}/{1}",strRootRelativePath,strFileName);

        string strPathName =
            Server.MapPath(strRootRelativePathName);

        if (System.IO.File.Exists(strPathName))
        {
            System.IO.StreamReader oStreamReader = null;

            try
            {
                oStreamReader = new System.IO.StreamReader
                    (strPathName, System.Text.Encoding.UTF8);
                litPageContent.Text = oStreamReader.ReadToEnd();

            }
            catch (Exception ex)
            {

                litPageContent.Text = ex.Message;
            }

            finally
            {
                if (oStreamReader!=null)
                {
                    oStreamReader.Dispose();
                    oStreamReader = null;
                }
            }
        }
    }
}